Skip to main content
POST
/
v1
/
event
/
{eventId}
/
sessions
/
{sessionId}
/
files
/
upload
Upload a session file (simple)
curl --request POST \
  --url https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/files/upload \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-access-token: <api-key>' \
  --form file='@example-file' \
  --form 'title=<string>' \
  --form assigned_participant_id=3c90c3cc-0d44-4b50-8888-8dd25736052a
import requests

url = "https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/files/upload"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"title": "<string>",
"assigned_participant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"x-access-token": "<api-key>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('title', '<string>');
form.append('assigned_participant_id', '3c90c3cc-0d44-4b50-8888-8dd25736052a');

const options = {method: 'POST', headers: {'x-access-token': '<api-key>'}};

options.body = form;

fetch('https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/files/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "url": "<string>",
    "title": "<string>",
    "filename": "<string>",
    "size": 123,
    "mimetype": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "assigned_participant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "assigned_participant_email": "[email protected]",
    "assigned_participant_name": "<string>"
  }
}

Authorizations

x-access-token
string
header
required

Organization API token. Generate from Organization Settings → API Tokens.

Path Parameters

eventId
integer
required

Event ID

sessionId
string<uuid>
required

Session UUID

Body

multipart/form-data
file
file
required

The file to attach (field name must be file).

title
string

Display title. Defaults to the uploaded filename.

assigned_participant_id
string<uuid>

Contact UUID of a session participant.

Response

Created — file attached and scanned

data
object

A content attachment (file, document, or media) associated with a session.